<?php

namespace MIQID\Elementor\Handler;

class Address extends \MIQID\Core\Schema\Address {
	private static $_instance = null;

	public static function Instance() {
		if ( is_null( self::$_instance ) ) {
			self::$_instance = new self();
		}

		return self::$_instance;
	}

	function Get() {
		return \MIQID\Core\Endpoint\Address::Instance()->GetAddress();
	}

	function Set( \MIQID\Core\Schema\Address $address ) {
		return \MIQID\Core\Endpoint\Address::Instance()->UpdateAddress( $address );
	}

}