<?php

namespace MIQID\Elementor\Handler;

class Profile extends \MIQID\Core\Schema\Profile {
	private static $_instance = null;

	public static function Instance() {
		if ( is_null( self::$_instance ) ) {
			self::$_instance = new self();
		}

		return self::$_instance;
	}

	function Get( $JWT ) {
		return \MIQID\Core\Endpoint\Profile::Instance()->GetProfile( $JWT );
	}

	function Set( $JWT, \MIQID\Core\Schema\Profile $profile ) {
		return \MIQID\Core\Endpoint\Profile::Instance()->UpdateProfile( $JWT, $profile );
	}
}